
Foreman - Bug #25103

Host-Parameter get lost on puppet environment change

10/02/2018 12:17 PM - Babiel GmbH

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We experienced the following bug in Foreman 1.18.1:

The Host-Parameter get lost, if an environment was force changed because it was deleted. For example a host was set to puppet

environment test1234, then the environment was deleted and Foreman switches the host back to production, the assigned

Host-Parameter disappear. We manage our puppet environments with Gitlab, so the process of creating and deleting environments

(branches) happen often a day.

History

#1 - 10/12/2018 07:31 AM - Babiel GmbH

- Priority changed from Normal to High

#2 - 10/16/2018 07:04 AM - Lukas Zapletal

- Category set to Puppet integration

- Priority changed from High to Normal

- Triaged changed from No to Yes

#3 - 11/16/2018 08:20 AM - Babiel GmbH

Hi there,

I just would like to ask you, if there is any progress with this issue?
